Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Null_Condition Class Reference

Implement a do nothing <ACE_Condition> variable wrapper, i.e., all methods are no ops. This class is necessary since some C++ compilers are *very* lame... More...

`#include <Synch.h>`

Collaboration diagram for ACE_Null_Condition:

[legend]
List of all members.

## Public Methods
| ACE_Null_Condition (const ACE_Null_Mutex &m, const ACE_TCHAR *=0, void *=0)
| ~ACE_Null_Condition (void)
int | remove (void)
| Returns 0. More...
int | wait (const ACE_Time_Value *=0)
| Returns -1 with <errno> == <ETIME>. More...
int | signal (void)
| Returns 0. More...
int | broadcast (void)
| Returns 0. More...
ACE_Null_Mutex & | mutex (void)
void | dump (void) const
| Dump the state of an object. More...
## Protected Attributes
ACE_Null_Mutex & | mutex_
## Private Methods
void | operator= (const ACE_Null_Condition &)
| ACE_Null_Condition (const ACE_Null_Condition &)

## Detailed Description

Implement a do nothing <ACE_Condition> variable wrapper, i.e., all methods are no ops. This class is necessary since some C++ compilers are *very* lame...

## Constructor & Destructor Documentation

ACE_INLINE ACE_Null_Condition::ACE_Null_Condition | ( | const ACE_Null_Mutex & | m,
|  | const ACE_TCHAR * | = 0,
|  | void * | = 0
| ) |

ACE_INLINE ACE_Null_Condition::~ACE_Null_Condition | ( | void |  | ) |

ACE_Null_Condition::ACE_Null_Condition | ( | const ACE_Null_Condition & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE int ACE_Null_Condition::broadcast | ( | void |  | ) |

| Returns 0.

ACE_INLINE void ACE_Null_Condition::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE ACE_Null_Mutex & ACE_Null_Condition::mutex | ( | void |  | ) |

void ACE_Null_Condition::operator= | ( | const ACE_Null_Condition & |  | ) | `[private]`

ACE_INLINE int ACE_Null_Condition::remove | ( | void |  | ) |

| Returns 0.

ACE_INLINE int ACE_Null_Condition::signal | ( | void |  | ) |

| Returns 0.

ACE_INLINE int ACE_Null_Condition::wait | ( | const ACE_Time_Value * | = 0 | ) |

| Returns -1 with <errno> == <ETIME>.

## Member Data Documentation

ACE_Null_Mutex& ACE_Null_Condition::mutex_`[protected]`

The documentation for this class was generated from the following files:

- Synch.h
- Synch.i